Bug 127851 - Port update: multimedia/libdvdnav-mplayer - Update to v4.1.3
Summary: Port update: multimedia/libdvdnav-mplayer - Update to v4.1.3
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: FreeBSD Ports Bugs (Mailing List)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-10-04 13:00 UTC by ganael.laplanche
Modified: 2009-02-10 19:20 UTC (History)
0 users

See Also:


Attachments
file.diff (6.22 KB, patch)
2008-10-04 13:00 UTC, ganael.laplanche
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description ganael.laplanche 2008-10-04 13:00:13 UTC
Here is an update to libdvdnav-mplayer. Libdvdread has been updated and bundled apart (see ports/127849 - libdvdread-mplayer).

Changelog : libdvdnav (4.1.3)
  * an embarassing amount of fixes regarding potential memory and resource leaks
    (patches contributed by Erik Hovland)
  * added dvdread-config (dvdnav-config's younger brother)
  * added pkg-config support
  * split dvdread to a separate tree; now you need to check it out
    and install it before building libdvdnav.
    In order to configure libdvdnav We need the executable dvdread-config
    somewhere in the PATH or explicitly specified to configure[2] with
    --with-dvdread-config=~/bin/dvdread-config

Fix: Patch attached with submission follows:
Comment 1 Philip M. Gollucci freebsd_committer 2008-12-26 02:57:24 UTC
Responsible Changed
From-To: freebsd-ports-bugs->pgollucci

I'll take it.
Comment 2 Philip M. Gollucci freebsd_committer 2009-01-26 18:25:59 UTC
Responsible Changed
From-To: pgollucci->freebsd-ports-bugs

back to pool
Comment 3 pav freebsd_committer 2009-02-10 19:17:20 UTC
State Changed
From-To: open->closed

Committed, thanks!
Comment 4 dfilter freebsd_committer 2009-02-10 19:17:23 UTC
pav         2009-02-10 19:17:12 UTC

  FreeBSD ports repository

  Modified files:
    multimedia/libdvdnav-mplayer Makefile distinfo pkg-descr 
                                 pkg-plist 
    multimedia/libdvdnav-mplayer/files patch-Makefile 
  Added files:
    multimedia/libdvdnav-mplayer/files patch-configure2 
  Log:
  - Update to 4.1.3
  
  PR:             ports/127851
  Submitted by:   Ganael Laplanche <ganael.laplanche@martymac.com> (maintainer)
  
  Revision  Changes    Path
  1.3       +5 -5      ports/multimedia/libdvdnav-mplayer/Makefile
  1.2       +3 -3      ports/multimedia/libdvdnav-mplayer/distinfo
  1.2       +16 -11    ports/multimedia/libdvdnav-mplayer/files/patch-Makefile
  1.1       +35 -0     ports/multimedia/libdvdnav-mplayer/files/patch-configure2 (new)
  1.2       +1 -1      ports/multimedia/libdvdnav-mplayer/pkg-descr
  1.2       +6 -4      ports/multimedia/libdvdnav-mplayer/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"